using System;
using System.Collections.Generic;
using System.Text;
using Howest.SchemaDiscovery.DbObjects;
using Howest.Guidance.DataAccess.CodeGeneration.ObjectModel.Mappings.Enums;

namespace Howest.Guidance.DataAccess.CodeGeneration.ObjectModel
{
	public class SqlStatement
	{
		private string _sql;

		public string Sql
		{
			get { return _sql; }
			set { _sql = value; }
		}

		private string _methodName;

		public string MethodName
		{
			get { return _methodName; }
			set { _methodName = value; }
		}

		private string _description;

		public string Description
		{
			get { return _description; }
			set { _description = value; }
		}

		private bool _isReadOnly;

		public bool IsReadOnly
		{
			get { return _isReadOnly; }
			set { _isReadOnly = value; }
		}
	

		private OperationType _opType;

		public OperationType OperationType
		{
			get { return _opType; }
			set { _opType = value; }
		}

		private List<Parameter> _parameters = new List<Parameter>();
		public List<Parameter> Parameters
		{
			get { return _parameters; }
		}
	
	}
}
